Bug 655448 - Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum']
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
i586 Linux
low Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-20 19:22 EST by Dusty Pulver
Modified: 2014-01-21 01:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 09:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Pulver 2010-11-20 19:22:11 EST
Running software update on SME server 8.0beta6

The following error is displayed:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
samba-common is needed by (installed) samba-winbind-3.4.3-1.1.el5.sme.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
yum update apr-util.i386 apr.i386 bzip2-libs.i386 bzip2.i386 cups-libs.i386 device-mapper-multipath.i386 dhclient.i386 dhcp.i386 e-smith-backup.noarch e-smith-email.noarch e-smith-formmagick.noarch e-smith-hosts.noarch e-smith-ldap.noarch e-smith-lib.noarch e-smith-pop3.noarch e-smith-proxy.noarch e-smith-qmail.noarch e2fsprogs-libs.i386 e2fsprogs.i386 expat.i386 freetype.i386 ghostscript.i386 glibc-common.i386 glibc.i686 httpd.i386 kernel.i686 kpartx.i386 libsmbclient.i386 libtalloc.i386 libtdb.i386 libxml2-python.i386 libxml2.i386 logrotate.i386 mod_ssl.i386 module-init-tools.i386 mysql-server.i386 mysql.i386 nspr.i386 nss.i386 openssh-clients.i386 openssh-server.i386 openssh.i386 pam.i386 perl-suidperl.i386 perl.i386 popt.i386 postgresql-libs.i386 proftpd.i386 python.i386 rpm-build.i386 rpm-libs.i386 rpm-python.i386 rpm.i386 samba3x-client.i386 samba3x-common.i386 samba3x-winbind.i386 samba3x.i386 smeserver-locale-bg.noarch smeserver-locale-da.noarch smeserver-locale-de.noarch smeserver-locale-el.noarch smeserver-locale-es.noarch smeserver-locale-et.noarch smeserver-locale-fr.noarch smeserver-locale-he.noarch smeserver-locale-hu.noarch smeserver-locale-id.noarch smeserver-locale-it.noarch smeserver-locale-ja.noarch smeserver-locale-nb.noarch smeserver-locale-nl.noarch smeserver-locale-pl.noarch smeserver-locale-pt.noarch smeserver-locale-pt_BR.noarch smeserver-locale-ro.noarch smeserver-locale-ru.noarch smeserver-locale-sl.noarch smeserver-locale-sv.noarch smeserver-locale-th.noarch smeserver-locale-tr.noarch smeserver-locale-zh_CN.noarch smeserver-locale-zh_TW.noarch smeserver-qpsmtpd.noarch smeserver-yum.noarch sudo.i386 tcsh.i386 tdb-tools.i386 tzdata.i386 failed: 256


Additional info:
This error appears every time the updates are run, following which I get told that the same software updates are available.
Comment 1 James Antill 2010-11-22 10:35:30 EST
What does:

package-cleanup --problems
rpm -Va --nofiles --nodigest

...say?
Comment 2 Dusty Pulver 2010-11-25 09:23:50 EST
package-cleanup --problems
Reports:
package samba-winbind requires samba-common = 0:3.4.3-1.1.e15.sme
and
rpm -Va --nofiles --nodigest
reports:
unsatisfied depenencies for samba-winbind-3.4.3-1.1.e15.sme:samba-common = 0:3.4.3-1.1.e15.sme
Comment 3 Zdeněk Pavlas 2013-03-11 09:40:56 EDT
The installed package dependencies are broken.  Remove samba-winbind, or install samba-common, and Yum should be able to proceed with updates.

Note You need to log in before you can comment on or make changes to this bug.